Subject: Re: NNCP with SP via high-latency links and TCP timeouts

From: Sergey Matveev <[email-masked]>
Date: Sat, 18 Jan 2025 23:38:20 +0300

Greetings!

*** Marek Küthe [2025-01-18 11:15]:
>- Does NNCP SP also work over UDP?

No, it does not.

>- I looked at the source code and saw that various timeouts are set.
>However, I found on [1] that only the timeouts for the connection and
>not the TCP handshake (which is started in call.go line 91) are set.
>Is this intentional? Have I overlooked something?

That is not intentional: I just did not think about establishment
timeout. Anyway TCP workability completely depends on native operating
system's network stack. NNCP just use native OS abilities.

>I recently came across NNCP and on the homepage it says that it also
>works over high latency links

Well, 30sec latency is anomalously huge delay for IP-link. Even
communication with geostationary satellite has less than 1s RTT.
I can imagine only very buffer-bloated stack, that adds such huge
latencies.

Delay-tolerant networking and all that subject is not about
workability of online/SP protocol, but about packets lying in
the spool and having no explicit eviction time, just waiting
when someone, possibly by using store-and-forward method, with
removable media, will take them out.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A